<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
    <head>
        <title th:remove="all"></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'/>
        <style>
            body {
                font-family: 'Roboto', sans-serif;
                font-size: 16px;
            }
            ul {
                padding: 0;
            }
            li {
                list-style: none;
            }
            .logo {
                width: 4rem;
            }
        </style>
    </head>
    <body>
        <p>Hi,</p>
        <p th:text="'This is a playlist shared by ' + ${user.username} + ' ' + '(' + ${user.email} + ')'"></p>
        <br />
        <ul>
            <h4 th:text="${playlist.name} + ' ' + '(' + ${playlist.tracks.size()} + ' tracks)' + ' ' + '(' + ${playlist.duration()} + ')'"></h4>

            <li th:each="track : ${playlist.tracks}">
                <span th:text="${track.title} + ' ' + '(' + ${track.duration} + ')' + ' available on '"></span>
                <a th:href="${track.link}" target="_blank">
                    <div th:switch="${track.platform}" th:remove="tag">
                        <img th:case="SPOTIFY" class="logo" alt="Spotify logo" th:src="${spotifyLogo}" />
                        <img th:case="DEEZER" class="logo" alt="Deezer logo" th:src="${deezerLogo}" />
                    </div>
                </a>
            </li>
        </ul>
        <br />
        <p>
            <em>The Music Team</em>
        </p>
    </body>
</html>